Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	groff (GNU Troff) software is a typesetting package
Name:      	groff
Version:   	1.21
Release:   	1
Provides:  	groff	
License: 	GNU/GPL
URL:		http://www.gnu.org/software/groff/groff.html
Group:     	System/Base
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(pre):	/sbin/install-info

BuildRequires: netpbm-devel
BuildRequires: texinfo
BuildRequires: psutils

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: perl
BuildRequires: sed

%description
The groff (GNU Troff) software is a typesetting package which reads plain text mixed with formatting commands and produces formatted output. Groff now supports HTML.

%package doc
Summary:        documentary files for groff
License:        GNU/GPL
Group:          System/Base
Requires:       vim

%description doc
doc files for groff

%post
/sbin/install-info %_infodir/groff.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/groff.info.gz %_infodir/dir
fi

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --without-x
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr
make install DESTDIR=$RPM_BUILD_ROOT 
# strip debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

rm -rf $RPM_BUILD_ROOT%{_infodir}/dir

%files
%defattr(-,root,root)
%{_bindir}/addftinfo
%{_bindir}/afmtodit
%{_bindir}/chem
%{_bindir}/eqn
%{_bindir}/eqn2graph
%{_bindir}/gdiffmk
%{_bindir}/grap2graph
%{_bindir}/grn
%{_bindir}/grodvi
%{_bindir}/groff
%{_bindir}/groffer
%{_bindir}/grog
%{_bindir}/grolbp
%{_bindir}/grolj4
%{_bindir}/grops
%{_bindir}/grotty
%{_bindir}/hpftodit
%{_bindir}/indxbib
%{_bindir}/lkbib
%{_bindir}/lookbib
%{_bindir}/mmroff
%{_bindir}/neqn
%{_bindir}/nroff
%{_bindir}/pdfroff
%{_bindir}/pfbtops
%{_bindir}/pic
%{_bindir}/pic2graph
%{_bindir}/post-grohtml
%{_bindir}/preconv
%{_bindir}/pre-grohtml
%{_bindir}/refer
%{_bindir}/roff2dvi
%{_bindir}/roff2html
%{_bindir}/roff2pdf
%{_bindir}/roff2ps
%{_bindir}/roff2text
%{_bindir}/roff2x
%{_bindir}/soelim
%{_bindir}/tbl
%{_bindir}/tfmtodit
%{_bindir}/troff
%{_libdir}/groff/groffer/func.pl
%{_libdir}/groff/groffer/man.pl
%{_libdir}/groff/groffer/perl_test.pl
%{_libdir}/groff/groffer/split_env.sh
%{_libdir}/groff/groffer/version.sh
%{_datadir}/groff
%{_infodir}/groff.info-1.gz
%{_infodir}/groff.info-2.gz
%{_infodir}/groff.info-3.gz
%{_infodir}/groff.info.gz
%{_mandir}/man1/addftinfo.1.gz
%{_mandir}/man1/afmtodit.1.gz
%{_mandir}/man1/chem.1.gz
%{_mandir}/man1/eqn.1.gz
%{_mandir}/man1/eqn2graph.1.gz
%{_mandir}/man1/gdiffmk.1.gz
%{_mandir}/man1/grap2graph.1.gz
%{_mandir}/man1/grn.1.gz
%{_mandir}/man1/grodvi.1.gz
%{_mandir}/man1/groff.1.gz
%{_mandir}/man1/groffer.1.gz
%{_mandir}/man1/grog.1.gz
%{_mandir}/man1/grohtml.1.gz
%{_mandir}/man1/grolbp.1.gz
%{_mandir}/man1/grolj4.1.gz
%{_mandir}/man1/grops.1.gz
%{_mandir}/man1/grotty.1.gz
%{_mandir}/man1/hpftodit.1.gz
%{_mandir}/man1/indxbib.1.gz
%{_mandir}/man1/lkbib.1.gz
%{_mandir}/man1/lookbib.1.gz
%{_mandir}/man1/mmroff.1.gz
%{_mandir}/man1/neqn.1.gz
%{_mandir}/man1/nroff.1.gz
%{_mandir}/man1/pdfroff.1.gz
%{_mandir}/man1/pfbtops.1.gz
%{_mandir}/man1/pic.1.gz
%{_mandir}/man1/pic2graph.1.gz
%{_mandir}/man1/preconv.1.gz
%{_mandir}/man1/refer.1.gz
%{_mandir}/man1/roff2dvi.1.gz
%{_mandir}/man1/roff2html.1.gz
%{_mandir}/man1/roff2pdf.1.gz
%{_mandir}/man1/roff2ps.1.gz
%{_mandir}/man1/roff2text.1.gz
%{_mandir}/man1/roff2x.1.gz
%{_mandir}/man1/soelim.1.gz
%{_mandir}/man1/tbl.1.gz
%{_mandir}/man1/tfmtodit.1.gz
%{_mandir}/man1/troff.1.gz
%{_mandir}/man5/groff_font.5.gz
%{_mandir}/man5/groff_out.5.gz
%{_mandir}/man5/groff_tmac.5.gz
%{_mandir}/man5/lj4_font.5.gz
%{_mandir}/man7/ditroff.7.gz
%{_mandir}/man7/groff.7.gz
%{_mandir}/man7/groff_char.7.gz
%{_mandir}/man7/groff_diff.7.gz
%{_mandir}/man7/groff_hdtbl.7.gz
%{_mandir}/man7/groff_man.7.gz
%{_mandir}/man7/groff_mdoc.7.gz
%{_mandir}/man7/groff_me.7.gz
%{_mandir}/man7/groff_mm.7.gz
%{_mandir}/man7/groff_mmse.7.gz
%{_mandir}/man7/groff_mom.7.gz
%{_mandir}/man7/groff_ms.7.gz
%{_mandir}/man7/groff_trace.7.gz
%{_mandir}/man7/groff_www.7.gz
%{_mandir}/man7/roff.7.gz


%files doc
%defattr(-,root,root)
%{_docdir}/groff-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.21-1
- Version Update
* Thu Apr 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.20.1-1
- Version Update
* Wed Aug 07 2005 Christian Metzen <metzench@ccux-linux.de> 1.19.2-1
- Version update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.19.1-2
- Removed unneccessary ldconfig, added missing files
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.19.1-1
- Version Update to 1.19.1, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 1.19-1
- Initial Release
